POST api/NurseTriage/PostMedicalCallTrace

Request Information

URI Parameters

None.

Body Parameters

MedicalCallTraceDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CaseNumber

integer

None.

EncounterId

integer

None.

MasterCallId

string

String length: inclusive between 0 and 50

EmployeeId

string

String length: inclusive between 0 and 12

IsCallTransferred

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "CaseNumber": 2,
  "EncounterId": 3,
  "MasterCallId": "sample string 4",
  "EmployeeId": "sample string 5",
  "IsCallTransferred": true,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:29:28.4090407-07:00",
  "DateUpdated": "2026-08-04T14:29:28.4090407-07:00",
  "UserIDCreated": 10,
  "UserIDUpdated": 11,
  "CompanyCode": "sample string 12",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfMedicalCallTraceDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

MedicalCallTraceDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "CaseNumber": 2,
    "EncounterId": 3,
    "MasterCallId": "sample string 4",
    "EmployeeId": "sample string 5",
    "IsCallTransferred": true,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:29:28.4090407-07:00",
    "DateUpdated": "2026-08-04T14:29:28.4090407-07:00",
    "UserIDCreated": 10,
    "UserIDUpdated": 11,
    "CompanyCode": "sample string 12",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}